## org.apache.tools.ant.types
Interface ResourceFactory

All Known Implementing Classes:
  DirectoryScanner, SourceFileScanner

public interface ResourceFactory

this interface should be implemented by classes (Scanners) needing to deliver information about resources.

Since:
  Ant 1.5.2
Author:
  Antoine Levy-Lambert

Method Summary
`Resource` `getResource(java.lang.String name)` Query a resource (file, zipentry, ...) by name

Method Detail

### getResource

    public Resource getResource(java.lang.String name)

  Query a resource (file, zipentry, ...) by name

  Returns:
    instance of Resource; the exists attribute of Resource will tell whether the sought resource exists

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.